/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { TimeAxisBaseDescription } from "./TimeAxisBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let CategoryDateTimeXAxisDescription = /*@__PURE__*/ (() => {
    class CategoryDateTimeXAxisDescription extends TimeAxisBaseDescription {
        constructor() {
            super();
            this.eh = null;
            this.d9 = 0;
            this.d7 = 0;
            this.ea = 0;
            this.d8 = 0;
            this.ef = null;
            this.eg = null;
        }
        get_type() {
            return "CategoryDateTimeXAxis";
        }
        get displayType() {
            return this.eh;
        }
        set displayType(a) {
            this.eh = a;
            this.e("DisplayType");
        }
        get interval() {
            return this.d9;
        }
        set interval(a) {
            this.d9 = a;
            this.e("Interval");
        }
        get actualInterval() {
            return this.d7;
        }
        set actualInterval(a) {
            this.d7 = a;
            this.e("ActualInterval");
        }
        get minorInterval() {
            return this.ea;
        }
        set minorInterval(a) {
            this.ea = a;
            this.e("MinorInterval");
        }
        get actualMinorInterval() {
            return this.d8;
        }
        set actualMinorInterval(a) {
            this.d8 = a;
            this.e("ActualMinorInterval");
        }
        get actualIntervalChangeRef() {
            return this.ef;
        }
        set actualIntervalChangeRef(a) {
            this.ef = a;
            this.e("ActualIntervalChangeRef");
        }
        get actualMinorIntervalChangeRef() {
            return this.eg;
        }
        set actualMinorIntervalChangeRef(a) {
            this.eg = a;
            this.e("ActualMinorIntervalChangeRef");
        }
    }
    CategoryDateTimeXAxisDescription.$t = markType(CategoryDateTimeXAxisDescription, 'CategoryDateTimeXAxisDescription', TimeAxisBaseDescription.$);
    return CategoryDateTimeXAxisDescription;
})();
